- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Acceptor_Registry Class Reference

Acceptor Registry and Generic Acceptor interface definitions. All loaded ESIOP or GIOP acceptor bridges must register with this object. More...

`#include <Acceptor_Registry.h>`

Collaboration diagram for TAO_Acceptor_Registry:

[legend]
List of all members.

## Public Member Functions
| TAO_Acceptor_Registry (void)
| Default constructor.
| ~TAO_Acceptor_Registry (void)
| Default destructor.
int | open (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, const TAO_EndpointSet &endpoint_set, bool ignore_address)
| Initialize all registered acceptors. Return -1 on error.
int | close_all (void)
| Close all open acceptors.
size_t | endpoint_count (void)
| Returns the total number of endpoints in all of its acceptors.
int | is_collocated (const TAO_MProfile &mprofile)
TAO_Acceptor * | get_acceptor (CORBA::ULong tag)
| Return the acceptor bridges.
TAO_AcceptorSetIterator | begin (void)
TAO_AcceptorSetIterator | end (void)
## Private Member Functions
int | open_default (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, const char *options)
| Create a default acceptor for all loaded protocols.
int | open_default (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int major, int minor, TAO_ProtocolFactorySetItor &factory, const char *options)
| Create a default acceptor using the specified protocol factory.
int | open_default_i (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int major, int minor, TAO_ProtocolFactorySetItor &factory, TAO_Acceptor *acceptor, const char *options)
| Open a default acceptor.
void | extract_endpoint_options (ACE_CString &addrs, ACE_CString &options, TAO_Protocol_Factory *factory)
| Extract endpoint-specific options from the endpoint string.
void | extract_endpoint_version (ACE_CString &address, int &major, int &minor)
int | open_i (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, ACE_CString &address, TAO_ProtocolFactorySetItor &factory, bool ignore_address)
| TAO_Acceptor_Registry (const TAO_Acceptor_Registry &)
void | operator= (const TAO_Acceptor_Registry &)
## Private Attributes
TAO_Acceptor ** | acceptors_
| List of acceptors that are currently open.
size_t | size_
| Number of acceptors that are currently open.

## Detailed Description

Acceptor Registry and Generic Acceptor interface definitions. All loaded ESIOP or GIOP acceptor bridges must register with this object.

This class maintains a list os acceptor factories for all loaded ORB protocols. There is one Acceptor_Registry per ORB_Core.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Acceptor_Registry::TAO_Acceptor_Registry | ( | void |  | ) |

Default constructor.

TAO_Acceptor_Registry::~TAO_Acceptor_Registry | ( | void |  | ) |

Default destructor.

TAO_Acceptor_Registry::TAO_Acceptor_Registry | ( | const TAO_Acceptor_Registry & |  | ) | `[private]`

## Member Function Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE TAO_AcceptorSetIterator TAO_Acceptor_Registry::begin | ( | void |  | ) |

int TAO_Acceptor_Registry::close_all | ( | void |  | ) |

Close all open acceptors.

ACE_INLINE TAO_AcceptorSetIterator TAO_Acceptor_Registry::end | ( | void |  | ) |

size_t TAO_Acceptor_Registry::endpoint_count | ( | void |  | ) |

Returns the total number of endpoints in all of its acceptors.

void TAO_Acceptor_Registry::extract_endpoint_options | ( | ACE_CString & | addrs,
|  | ACE_CString & | options,
|  | TAO_Protocol_Factory * | factory |
| ) |  |  | `[private]`

Extract endpoint-specific options from the endpoint string.

void TAO_Acceptor_Registry::extract_endpoint_version | ( | ACE_CString & | address,
|  | int & | major,
|  | int & | minor |
| ) |  |  | `[private]`

Extract endpoint/address specific version from the endpoint string.

TAO_Acceptor * TAO_Acceptor_Registry::get_acceptor | ( | CORBA::ULong | tag | ) |

Return the acceptor bridges.

int TAO_Acceptor_Registry::is_collocated | ( | const TAO_MProfile & | mprofile | ) |

Check if there is at least one profile in <mprofile> that corresponds to a collocated object.

int TAO_Acceptor_Registry::open | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | const TAO_EndpointSet & | endpoint_set,
|  | bool | ignore_address |
| ) |  |  |

Initialize all registered acceptors. Return -1 on error.

int TAO_Acceptor_Registry::open_default | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | int | major,
|  | int | minor,
|  | TAO_ProtocolFactorySetItor & | factory,
|  | const char * | options |
| ) |  |  | `[private]`

Create a default acceptor using the specified protocol factory.

int TAO_Acceptor_Registry::open_default | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | const char * | options |
| ) |  |  | `[private]`

Create a default acceptor for all loaded protocols.

int TAO_Acceptor_Registry::open_default_i | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | int | major,
|  | int | minor,
|  | TAO_ProtocolFactorySetItor & | factory,
|  | TAO_Acceptor * | acceptor,
|  | const char * | options |
| ) |  |  | `[private]`

Open a default acceptor.

int TAO_Acceptor_Registry::open_i | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | ACE_CString & | address,
|  | TAO_ProtocolFactorySetItor & | factory,
|  | bool | ignore_address |
| ) |  |  | `[private]`

Iterator through addrs in the string <iop>, and create an acceptor for each one.

void TAO_Acceptor_Registry::operator= | ( | const TAO_Acceptor_Registry & |  | ) | `[private]`

## Member Data Documentation

TAO_Acceptor** TAO_Acceptor_Registry::acceptors_`[private]`

List of acceptors that are currently open.

size_t TAO_Acceptor_Registry::size_`[private]`

Number of acceptors that are currently open.

The documentation for this class was generated from the following files:

- Acceptor_Registry.h
- Acceptor_Registry.cpp
- Acceptor_Registry.i